Unit Vacancy
UnitVacancy objects represent top-level unit vacancy data from AppFolio®. Skywalk API allows you to obtain the following unit attributes from AppFolio®.
The UnitVacancy Object
Attributes
appfolioIdstring
Unique AppFolio ID for unit.
Example:
"210"
namestring
Name of unit. Often the unit number.
Example:
"101"
availableOnstring
Unit available to rent starting on.
Example:
"02/09/2021"
advertisedRentstring
Advertised rent amount.
Example:
"1,950.00"
computedMarketRentstring
Computed market rent.
Example:
"1,950.00"
amenitiesstring
Amenities offered.
Example:
null
amenitiesPricestring
Amenities price.
Example:
null
bedAndBathstring
Combination bed/bath count.
Example:
"2/2.5"
sqFtstring
Unit's Square footage.
Example:
"950"
daysVacantinteger
Days unit has been vacant.
Example:
12
lastMoveInstring
Previous tenant move in date.
Example:
"01/01/2019"
lastMoveOutstring
Previous tenant move out date.
Example:
"02/01/2021"
lastRentstring
Previous rent amount.
Example:
"1,850.00"
newRentstring
New rent amount.
Example:
"1,950.00"
nextMoveInstring
Next move in date.
Example:
"04/01/2021"
postedToInternetboolean
If this unit is posted to the internet.
Example:
false
postedToWebsiteboolean
If this unit is posted to the website.
Example:
false
readyForShowingOnstring
Date unit is ready to be shown.
Example:
"03/01/2021"
rentReadyboolean
If this unit is rent ready.
Example:
false
schdRentstring
Scheduled rent amount.
Example:
"1,950.00"
statusstring
Status of unit.
Example:
"Vacant-Unrented"
turnTargetDatestring
Turn target date.
Example:
"03/01/2021"
typestring
TKTK.
Example:
"2 Bed + 2 Bath w/ Loft"
tagsstring[]
Type of unit.
Example:
["loft"]
More Attributes
descriptionstring
property.appfolioIdstring
property.labelstring
address.streetstring
address.street2string
address.citystring
address.statestring
address.zipstring
The UnitVacancy Object
{
"appfolioId": "210",
"name": "101",
"description": "",
"availableOn": "02/09/2021",
"advertisedRent": "1,950.00",
"computedMarketRent": "1,950.00",
"amenities": null,
"amenitiesPrice": null,
"bedAndBath": "2/2.5",
"sqFt": "950",
"daysVacant": 12,
"lastMoveIn": "01/01/2019",
"lastMoveOut": "02/01/2021",
"lastRent": "1,850.00",
"newRent": "1,950.00",
"nextMoveIn": "04/01/2021",
"postedToInternet": false,
"postedToWebsite": false,
"readyForShowingOn": "03/01/2021",
"rentReady": false,
"schdRent": "1,950.00",
"status": "Vacant-Unrented",
"turnTargetDate": "03/01/2021",
"type": "2 Bed + 2 Bath w/ Loft",
"tags": [
"loft"
],
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments"
},
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "101",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
}
}
Get Unit Vacancies
GET /v1/unit-vacancies
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The unit vacancies endpoint returns a list of all unit vacancies in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
propertyIdselect
AppFolio ID of a Property to serve as a filter.
propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.
ownerIdselect
AppFolio ID of an Owner to serve as a filter.
Returns
The standard List Response Format with a data property containing an array of Unit objects.
GET /v1/unit-vacancies
curl -X GET 'https://api.skywalkapi.com/v1/unit-vacancies' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/unit-vacancies",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/unit-vacancies?cursor=abcdefg"
},
"data": [
{
"appfolioId": "210",
"name": "101",
"description": "",
"availableOn": "02/09/2021",
"advertisedRent": "1,950.00",
"computedMarketRent": "1,950.00",
"amenities": null,
"amenitiesPrice": null,
"bedAndBath": "2/2.5",
"sqFt": "950",
"daysVacant": 12,
"lastMoveIn": "01/01/2019",
"lastMoveOut": "02/01/2021",
"lastRent": "1,850.00",
"newRent": "1,950.00",
"nextMoveIn": "04/01/2021",
"postedToInternet": false,
"postedToWebsite": false,
"readyForShowingOn": "03/01/2021",
"rentReady": false,
"schdRent": "1,950.00",
"status": "Vacant-Unrented",
"turnTargetDate": "03/01/2021",
"type": "2 Bed + 2 Bath w/ Loft",
"tags": [
"loft"
],
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments"
},
"fullAddress": "1234 Warm Weather Rd., CA 90001",
"address": {
"street": "1234 Warm Weather Rd.",
"street2": "101",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
}
}
]
}